mwMsgAnnounce Struct Reference

An announcement between users. More...

`#include <mw_message.h>`

## Data Fields

struct mwMessage | head
gboolean | may_reply
| replies allowed
GList * | recipients
| list of (char *) indicating recipients.
struct mwLoginInfo | sender
| who sent the announcement
gboolean | sender_present
| indicates presence of sender data
char * | text
| text of message
guint16 | unknown_a
| unknown A.

## Detailed Description

An announcement between users.

## Field Documentation

## head

struct mwMessage mwMsgAnnounce::head

## may_reply

gboolean mwMsgAnnounce::may_reply

replies allowed

## recipients

GList* mwMsgAnnounce::recipients

list of (char *) indicating recipients.

Recipient users are in the format "@U username" and recipient NAB groups are in the format "@G groupname"

## sender

struct mwLoginInfo mwMsgAnnounce::sender

who sent the announcement

## sender_present

gboolean mwMsgAnnounce::sender_present

indicates presence of sender data

## text

char* mwMsgAnnounce::text

text of message

## unknown_a

guint16 mwMsgAnnounce::unknown_a

unknown A.

Usually 0x00

The documentation for this struct was generated from the following file:

- mw_message.h